body, html {
    margin: 0;
    padding: 0;
}

body {
    background-image: url(../Imagenes/Space.jpg);
    color: #3A3A3A;
    font-family: "Poppins", Sans-serif;
    letter-spacing: 1px;
    margin: 0;
    padding: 0;
    background-color: var(--color-background);
    animation: moverArriba 100s linear infinite; /* Animación para mover el fondo hacia arriba */
 }

.video-container {
    position: relative;
    width: 100%;
    min-height: 50vh; /* Mínimo 100% de la altura de la ventana */
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.6); /* Fondo semitransparente */
}

video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto; /* Ajusta la altura proporcionalmente al ancho */
    z-index: -1; /* Coloca el video detrás del contenido */
}

.overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    text-align: center;
    padding: 20px;
}

h1 {
    font-size: 36px;
    margin-bottom: 10px;
}

p {
    font-size: 18px;
}

.navbar-menu.active {
    display: flex !important;
}


/* Animación de entrada */
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Estilos para la sección de información */
.info-section {
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center;
    padding: 40px 20px;
}
 img {
    max-width: 300px;
    margin: auto;
    padding:10px;
    border-radius: 20px;
}

.info-content {
    color: #fff;
    flex: 1;
    padding-left: 20px;
    animation: fadeInLeft 1s ease-in-out; /* Animación */
}

.info-content h2 {
    font-size: 3em;
    margin-bottom: 10px;
}

.info-content p {
    font-size: 16px;
    line-height: 1.5;
}



/* Animación de entrada */
@keyframes fadeInLeft {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

/* Estilos para las tarjetas */
.cards-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
}

.card {
    background-color: #f5f5f5;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    margin: 10px;
    padding: 20px;
    width: 300px;
}


.card-content h3 {
    font-size: 26px;
    margin: 10px 0;
}

.card-content p {
    font-size: 20px;
    color: #666;
}


.card2 {
    background-color: #f5f5f5;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    margin: 10px;
    padding: 20px;
    max-width: 300px;
}


.card2-content h3 {
    font-size: 26px;
    margin: 10px 0;
}

.card2-content p {
    font-size: 20px;
    color: #666;
}

/* Estilos para los contenedores de Lottie */
.lottie-container {
    margin: 0 auto;
}

/* Estilos para la sección dividida */
.split-section {
    display: flex;
    align-items: center;
    padding: 0px 20px;
}

.text-side {
    flex: 1;
    text-align: center;
}

.animated-text {
    font-size: 3em;
    animation: fadeInLeft 1s ease-in-out; /* Animación */
    /* background: linear-gradient(81.84deg, #0000ff -9.4%, #0088ff 51.57%, #00aaff 84.07%, #00bbff 90.59%); */
    -webkit-background-clip: text;
    color: #EEEEEE;
    letter-spacing: -1px;
    text-align: center;
}

.image-side {
    flex: 1;
    text-align: left;
}

.image-side img {
    max-width: 100%;
    height: auto;
    border-radius: 8px;
    animation: fadeInRight 1s ease-in-out; /* Animación */
}

/* Animación de entrada desde la izquierda */
@keyframes fadeInLeft {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

/* Animación de entrada desde la derecha */
@keyframes fadeInRight {
    0% {
        opacity: 0;
        transform: translateX(20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
}

.image {
    padding: 20px;
    max-width: 100%;
}

/* Estilo para ocultar las imágenes */
.gallery-image {

}

/* Estilo para la imagen en pantalla completa */
.fullscreen-image {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9); /* Fondo oscuro para resaltar la imagen */
    display: flex;
    justify-content: center;
    align-items: center;
}

.fullscreen-container{
  display: none;
}

.fullscreen-image img {
    max-width: 90%;
    max-height: 90%;
}

.gallery-image:hover{
      box-shadow: 1px 1px #00ff99, 6px 6px #00ff99, 3px 3px #00ff99;
      transform: translateX(-3px);
}
